import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Utils } from '../../../../utils/utils';

@Component({
  selector: 'app-structure-contact',
  templateUrl: './structure-contact.component.html',
  styleUrls: ['./structure-contact.component.scss'],
})
export class StructureContactComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() validateForm = new EventEmitter<any>();

  constructor(public utils: Utils) {}

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public setValidationsForm(): void {
    this.validateForm.emit();
  }
  public goBack(): void {
    history.back();
  }
}
